/* 
 * File:   weight_acts_kernel.cuh
 * Author: Alex Krizhevsky
 *
 * Created on February 2, 2011, 4:43 PM
 */

#ifndef RECON_FILTER_GRADS_KERNEL_CUH
#define	RECON_FILTER_GRADS_KERNEL_CUH

#include <cutil_inline.h>
#include <nvmatrix.cuh>
#include "../common.h"

void computeWeightActs(NVMatrix& images, NVMatrix& hidActs, NVMatrix& targets,
        int numModulesX, int filterSize, int paddingStart, int moduleStride, int numColors, FILTER_OUTPUT_ORDER hidActsOrder);

#endif	/* RECON_FILTER_GRADS_KERNEL_CUH */

